const api = require('./api')
const Http = require('@4a/http')

module.exports = (baseURL, debug) => {
    return new Http({
        api,
        baseURL,
        resolver(err, result) {
            if (err) {
                if (err.response && err.response.data) {
                    console.error('Configure Request Error:', err.response.data)
                } else {
                    console.error('Configure Request Error:', err.response)
                }
                throw err
            }
            if (debug) {
                console.log('sdk-configure: Request from remote:', result.data)
            }
            return result.data
        },
    })
}
